package KU.Campus.Life;

import java.util.List;

import android.app.AlertDialog;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.Window;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.ItemizedOverlay;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;
import com.google.android.maps.Overlay;
import com.google.android.maps.OverlayItem;

public class info_gmap extends MapActivity {

    MapView mMap;
    MapController mControl;
    Drawable mBlue, mRed, c1;  

    protected boolean isRouteDisplayed() {
         return false;
    }

    public void onCreate(Bundle savedInstanceState) {
    	
    	 // API : 0exZ5QEu5Gvk4M2FTONj3vihD2My5VjT4v_7GHg
    	 // 원석이 api :0exZ5QEu5GvmPJEbjaBi6qEFVAJSB0pHhNntPQA
    	//정원이 api:0yNAa1G06GK844ZgTEZ9RNDydYo92rQRvftoDSw
         super.onCreate(savedInstanceState);
         requestWindowFeature(Window.FEATURE_NO_TITLE);
         setContentView(R.layout.info_gmap);

         mMap = (MapView)findViewById(R.id.mapview);
         MapController mapControl = mMap.getController();
         mapControl.setZoom(18);
         mMap.setSatellite(false);
         mMap.setBuiltInZoomControls(true);

         GeoPoint ku = new GeoPoint(37541753 , 127076626);
        
         mapControl.setCenter(ku);

         c1 = getResources().getDrawable(R.drawable.cmap_00000);
         mBlue = getResources().getDrawable(R.drawable.pin_green);
         mBlue.setBounds(0, 0, mBlue.getIntrinsicWidth(),mBlue.getIntrinsicHeight());

         mRed = getResources().getDrawable(R.drawable.pin_green);
         mRed.setBounds(0, 0, mRed.getIntrinsicWidth(), mRed.getIntrinsicHeight());


         Restaurant rest = new Restaurant(mBlue);
         List<Overlay> overlays = mMap.getOverlays();
         overlays.add(rest);
     
    }
         
    class Restaurant extends ItemizedOverlay<OverlayItem> {
        public Restaurant(Drawable defaultMarker) {
            super(defaultMarker);
            boundCenterBottom(defaultMarker);
            boundCenter(mRed);
            populate();
        }



        ///* 이 메서드를 재정의하면 그림자 출력을 제어할 수 있다.
        public void draw(Canvas canvas, MapView mapView, boolean shadow) {
            super.draw(canvas, mapView, false);
        }

        
        public int size() {
            return 39;
        }


      	
        protected OverlayItem createItem(int i) {
            OverlayItem item = null;       
            switch (i) {

            case 0: item = new OverlayItem(new GeoPoint(37540562, 127071894), " ", " "); break;
            case 1: item = new OverlayItem(new GeoPoint(37542208, 127080429), " ", " "); break;
            case 2: item = new OverlayItem(new GeoPoint(37542212 , 127080923), " ", " "); break;
            case 3: item = new OverlayItem(new GeoPoint(37541621 , 127079372), " ", " "); break;
            case 4 : item = new OverlayItem(new GeoPoint(37541617 , 127080504), " ", " "); break;
            case 5 : item = new OverlayItem(new GeoPoint(37539864 , 127077345), " ", " "); break;
            case 6 : item = new OverlayItem(new GeoPoint(37541409 , 127077860), " ", " "); break;
            case 7 : item = new OverlayItem(new GeoPoint(37544331 , 127077951), " ", " "); break;
            case 8 : item = new OverlayItem(new GeoPoint(37538431 , 127074797), " ", " "); break;
            case 9 : item = new OverlayItem(new GeoPoint(37542570 , 127078509), " ", " "); break;
            case 10 : item = new OverlayItem(new GeoPoint(37539337 , 127078450), " ", " "); break;
            case 11 : item = new OverlayItem(new GeoPoint(37542451 , 127075623), " ", " "); break;
            case 12 : item = new OverlayItem(new GeoPoint(37544131 , 127074190), " ", " "); break;
            case 13 : item = new OverlayItem(new GeoPoint(37540098 , 127080515), " ", " "); break;
            case 14 : item = new OverlayItem(new GeoPoint(37541055 , 127082237), " ", " "); break;
            case 15 : item = new OverlayItem(new GeoPoint(37544365 , 127075982), " ", " "); break;
            case 16 : item = new OverlayItem(new GeoPoint(37539856, 127073128), " ", " "); break;
            case 17 : item = new OverlayItem(new GeoPoint(37542178 , 127073761), " ", " "); break;
            case 18 : item = new OverlayItem(new GeoPoint(37544271 , 127075376), " ", " "); break;
            case 19 : item = new OverlayItem(new GeoPoint(37543578 , 127077211), " ", " "); break;
            case 20 : item = new OverlayItem(new GeoPoint(37540979 , 127074485), " ", " "); break;
            case 21 : item = new OverlayItem(new GeoPoint(37544824 , 127079625), " ", " "); break;
            case 22 : item = new OverlayItem(new GeoPoint(37540392 , 127077817), " ", " "); break;
            case 23 : item = new OverlayItem(new GeoPoint(37539218 , 127074528), " ", " "); break;
            case 24 : item = new OverlayItem(new GeoPoint(37544518 , 127079769), " ", " "); break;
            case 25 : item = new OverlayItem(new GeoPoint(37542612 , 127074539), " ", " "); break;
            case 26 : item = new OverlayItem(new GeoPoint(37542961 , 127072994), " ", " "); break;
            case 27 : item = new OverlayItem(new GeoPoint(37543671 , 127078380), " ", " "); break;
            case 28 : item = new OverlayItem(new GeoPoint(37544471 , 127073708), " ", " "); break;
            case 29 : item = new OverlayItem(new GeoPoint(37541366 , 127072222), " ", " "); break;
            case 30 : item = new OverlayItem(new GeoPoint(37540639 , 127076229), " ", " "); break;
            case 31 : item = new OverlayItem(new GeoPoint(37540277 , 127073541), " ", " "); break;
            case 32 : item = new OverlayItem(new GeoPoint(37540685 , 127073745), " ", " "); break;
            case 33 : item = new OverlayItem(new GeoPoint(37541779 , 127074850), " ", " "); break;
            case 34 : item = new OverlayItem(new GeoPoint(37542387 , 127079759), " ", " "); break;
            case 35 : item = new OverlayItem(new GeoPoint(37542374 , 127076663), " ", " "); break;
            case 36 : item = new OverlayItem(new GeoPoint(37543259 , 127075156), " ", " "); break;
            case 37 : item = new OverlayItem(new GeoPoint(37542370 , 127072195), " ", " "); break;
            case 38 : item = new OverlayItem(new GeoPoint( 37541898 , 127077881), " ", " "); break;
     
            }
            
            return  item;
        }
        
        LayoutInflater factory = LayoutInflater.from(info_gmap.this);
    	//final View textEntryView = factory.inflate(R.layout.cmap1,null);
    	
        public boolean onTap(int index) {
  
       	//OverlayItem item = getItem(index); 
       	AlertDialog.Builder dialog = new AlertDialog.Builder(info_gmap.this);
       	 switch(index)
       	 {
       		 case 0 :
       			final View cmap0 = factory.inflate(R.layout.cmap0,null);
       			//Dialog dialog = new Dialog(info_gmap.this);
                //dialog.setIcon(c1);
       			//dialog.setTitle(item.getTitle());
       			//dialog.setMessage(item.getSnippet());
              	//dialog.setContentView(R.layout.cmap1);
              	dialog.setView(cmap0);
              	dialog.setPositiveButton("닫기", null);
              	dialog.show(); 
              	break;
              	
	       		case 1 : final View cmap1 =factory.inflate(R.layout.cmap1,null); dialog.setView(cmap1); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 2 : final View cmap2 =factory.inflate(R.layout.cmap2,null); dialog.setView(cmap2); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 3 : final View cmap3 =factory.inflate(R.layout.cmap3,null); dialog.setView(cmap3); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 4 : final View cmap4 =factory.inflate(R.layout.cmap4,null); dialog.setView(cmap4); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 5 : final View cmap5 =factory.inflate(R.layout.cmap5,null); dialog.setView(cmap5); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 6 : final View cmap6 =factory.inflate(R.layout.cmap6,null); dialog.setView(cmap6); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 7 : final View cmap7 =factory.inflate(R.layout.cmap7,null); dialog.setView(cmap7); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 8 : final View cmap8 =factory.inflate(R.layout.cmap8,null); dialog.setView(cmap8); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 9 : final View cmap9 =factory.inflate(R.layout.cmap9,null); dialog.setView(cmap9); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 10 : final View cmap10 =factory.inflate(R.layout.cmap10,null); dialog.setView(cmap10); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 11 : final View cmap11 =factory.inflate(R.layout.cmap11,null); dialog.setView(cmap11); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 12 : final View cmap12 =factory.inflate(R.layout.cmap12,null); dialog.setView(cmap12); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 13 : final View cmap13 =factory.inflate(R.layout.cmap13,null); dialog.setView(cmap13); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 14 : final View cmap14 =factory.inflate(R.layout.cmap14,null); dialog.setView(cmap14); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 15 : final View cmap15 =factory.inflate(R.layout.cmap15,null); dialog.setView(cmap15); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 16 : final View cmap16 =factory.inflate(R.layout.cmap16,null); dialog.setView(cmap16); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 17 : final View cmap17 =factory.inflate(R.layout.cmap17,null); dialog.setView(cmap17); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 18 : final View cmap18 =factory.inflate(R.layout.cmap18,null); dialog.setView(cmap18); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 19 : final View cmap19 =factory.inflate(R.layout.cmap19,null); dialog.setView(cmap19); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 20 : final View cmap20 =factory.inflate(R.layout.cmap20,null); dialog.setView(cmap20); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 21 : final View cmap21 =factory.inflate(R.layout.cmap21,null); dialog.setView(cmap21); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 22 : final View cmap22 =factory.inflate(R.layout.cmap22,null); dialog.setView(cmap22); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 23 : final View cmap23 =factory.inflate(R.layout.cmap23,null); dialog.setView(cmap23); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 24 : final View cmap24 =factory.inflate(R.layout.cmap24,null); dialog.setView(cmap24); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 25 : final View cmap25 =factory.inflate(R.layout.cmap25,null); dialog.setView(cmap25); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 26 : final View cmap26 =factory.inflate(R.layout.cmap26,null); dialog.setView(cmap26); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 27 : final View cmap27 =factory.inflate(R.layout.cmap27,null); dialog.setView(cmap27); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 28 : final View cmap28 =factory.inflate(R.layout.cmap28,null); dialog.setView(cmap28); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 29 : final View cmap29 =factory.inflate(R.layout.cmap29,null); dialog.setView(cmap29); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 30 : final View cmap30 =factory.inflate(R.layout.cmap30,null); dialog.setView(cmap30); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 31 : final View cmap31 =factory.inflate(R.layout.cmap31,null); dialog.setView(cmap31); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 32 : final View cmap32 =factory.inflate(R.layout.cmap32,null); dialog.setView(cmap32); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 33 : final View cmap33 =factory.inflate(R.layout.cmap33,null); dialog.setView(cmap33); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 34 : final View cmap34 =factory.inflate(R.layout.cmap34,null); dialog.setView(cmap34); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 35 : final View cmap35 =factory.inflate(R.layout.cmap35,null); dialog.setView(cmap35); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 36 : final View cmap36 =factory.inflate(R.layout.cmap36,null); dialog.setView(cmap36); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 37 : final View cmap37 =factory.inflate(R.layout.cmap37,null); dialog.setView(cmap37); dialog.setPositiveButton("확인", null); dialog.show(); break;
	       		case 38 : final View cmap38 =factory.inflate(R.layout.cmap38,null); dialog.setView(cmap38); dialog.setPositiveButton("확인", null); dialog.show(); break;
      	 }
       	 
       	 
       	 return true; 


//          return true;

      }

   }
    private void initMyLocation()
    {
    	  final MyLocationOverlay overlay = new MyLocationOverlay(info_gmap.this, mMap ) ;
    	  overlay.enableMyLocation() ;
    	  overlay.enableCompass() ;
    	  overlay.runOnFirstFix( new Runnable() 
    	  {
    		  public void run() 
    		  {
    			  mControl.setZoom( 14 ) ;
    			  mControl.animateTo( overlay.getMyLocation() ) ;
    		  }
    	  });
    	  mMap.getOverlays().add(overlay);
    }

         
    public boolean onCreateOptionsMenu(Menu menu) {

         super.onCreateOptionsMenu(menu);
         menu.add(0,1,0,"일반지도");
         menu.add(0,2,0,"위성지도");
         menu.add(0,3,0,"현재위치");
        
                 return true;

    }


    public boolean onOptionsItemSelected(MenuItem item) 
    {
         switch (item.getItemId()) {
         case 1:
             mMap.setSatellite(false);
             return true;
             
         case 2:
             mMap.setSatellite(true);
             return true;
             
         case 3:
        	 initMyLocation();
        	 return true;	
             

         }
         return false;
    }
}

/*
GeoPoint hostpital = new GeoPoint(37540562, 127071894);
GeoPoint dojunggung = new GeoPoint(37542208, 127080429);
GeoPoint gongyegwan = new GeoPoint(37542212 , 127080923 );
GeoPoint gonghakgwan = new GeoPoint(37541621 , 127079372 );
  
GeoPoint gahakgwan = new GeoPoint(37541617 , 127080504 );
GeoPoint gukjehaksa = new GeoPoint(37539864 , 127077345 );
GeoPoint nochungukjang = new GeoPoint(37541409 , 127077860 );
GeoPoint daeundongjang = new GeoPoint(37544331 , 127077951 );

GeoPoint dongmun = new GeoPoint(37538431 , 127074797);
GeoPoint inmun = new GeoPoint(37542570 , 127078509);
GeoPoint kulhouse = new GeoPoint(37539337 , 127078450 );
GeoPoint museum = new GeoPoint(37542451 , 127075623 );
    
GeoPoint edugahak = new GeoPoint(37544131 , 127074190 );
GeoPoint gundebugo = new GeoPoint(37540098 , 127080515 );
GeoPoint gundebujung = new GeoPoint(37541055 , 127082237 );
GeoPoint kyungyoung = new GeoPoint(37544365 , 127075982 );
  
GeoPoint sanhak = new GeoPoint(37539856, 127073128 );
GeoPoint shlibrary = new GeoPoint(37542178 , 127073761 );
GeoPoint shlab = new GeoPoint(37544271 , 127075376 );
GeoPoint newmil = new GeoPoint(37543578 , 127077211 );
         
GeoPoint sangm = new GeoPoint(37540979 , 127074485 );
GeoPoint iluhun = new GeoPoint(37544824 , 127079625 );
GeoPoint sulib = new GeoPoint(37540392 , 127077817 );
GeoPoint animal = new GeoPoint(37539218 , 127074528 );
         
GeoPoint silgym = new GeoPoint(37544518 , 127079769 );
GeoPoint sangmyung = new GeoPoint(37542612 , 127074539 );
GeoPoint art = new GeoPoint(37542961 , 127072994 );
GeoPoint gunchukgwan = new GeoPoint(37543671 , 127078380 );

GeoPoint onsil = new GeoPoint(37544471 , 127073708);
GeoPoint sangmlib = new GeoPoint(37541366 , 127072222 );
GeoPoint ilgamho = new GeoPoint(37540639 , 127076229 );
GeoPoint ibhakjungbo = new GeoPoint(37540277 , 127073541 );

GeoPoint dongmul = new GeoPoint(37540685 , 127073745 );
GeoPoint bughak = new GeoPoint(37541779 , 127074850 );
GeoPoint jungjangbi = new GeoPoint(37542387 , 127079759 );
GeoPoint chungsimde = new GeoPoint(37542374 , 127076663 );

GeoPoint hangjunggwan = new GeoPoint(37543259 , 127075156 );
GeoPoint sangmyunggahakbusok = new GeoPoint(37542370 , 127072195);
GeoPoint haksanghaegwan = new GeoPoint( 37541898 , 127077881 );
*/

// Marker dec
/*
ImageView iv_hostpital = new ImageView(this);
iv_hostpital.setImageResource(R.drawable.pin_green);

ImageView iv_dojunggung = new ImageView(this);
iv_dojunggung.setImageResource(R.drawable.pin_green);
ImageView iv_gongyegwan = new ImageView(this);
iv_gongyegwan.setImageResource(R.drawable.pin_green);
ImageView iv_gonghakgwan = new ImageView(this);
iv_gonghakgwan.setImageResource(R.drawable.pin_green);

//
ImageView iv_gahakgwan = new ImageView(this);
iv_gahakgwan.setImageResource(R.drawable.pin_green);
ImageView iv_gukjehaksa = new ImageView(this);
iv_gukjehaksa.setImageResource(R.drawable.pin_green);
ImageView iv_nochungukjang = new ImageView(this);
iv_nochungukjang.setImageResource(R.drawable.pin_green);
ImageView iv_daeundongjang = new ImageView(this);
iv_daeundongjang.setImageResource(R.drawable.pin_green);

//
ImageView iv_dongmun = new ImageView(this);
iv_dongmun.setImageResource(R.drawable.pin_green);
ImageView iv_inmun = new ImageView(this);
iv_inmun.setImageResource(R.drawable.pin_green);
ImageView iv_kulhouse = new ImageView(this);
iv_kulhouse.setImageResource(R.drawable.pin_green);
ImageView iv_musuem = new ImageView(this);
iv_musuem.setImageResource(R.drawable.pin_green);

//
ImageView iv_edugahak = new ImageView(this);
iv_edugahak.setImageResource(R.drawable.pin_green);
ImageView iv_gundebugo = new ImageView(this);
iv_gundebugo.setImageResource(R.drawable.pin_green);
ImageView iv_gundebujung = new ImageView(this);
iv_gundebujung.setImageResource(R.drawable.pin_green);
ImageView iv_kyungyoung = new ImageView(this);
iv_kyungyoung.setImageResource(R.drawable.pin_green);

//
ImageView iv_sanhak = new ImageView(this);
iv_sanhak.setImageResource(R.drawable.pin_green);
ImageView iv_shlibrary = new ImageView(this);
iv_shlibrary.setImageResource(R.drawable.pin_green);
ImageView iv_shlab = new ImageView(this);
iv_shlab.setImageResource(R.drawable.pin_green);
ImageView iv_newmil = new ImageView(this);
iv_newmil.setImageResource(R.drawable.pin_green);

//
ImageView iv_sangm = new ImageView(this);
iv_sangm.setImageResource(R.drawable.pin_green);
ImageView iv_iluhun  = new ImageView(this);
iv_iluhun.setImageResource(R.drawable.pin_green);
ImageView iv_sulib = new ImageView(this);
iv_sulib.setImageResource(R.drawable.pin_green);
ImageView iv_animal = new ImageView(this);
iv_animal.setImageResource(R.drawable.pin_green);

ImageView iv_silgym = new ImageView(this);
iv_silgym.setImageResource(R.drawable.pin_green);
ImageView iv_sangmyung  = new ImageView(this);
iv_sangmyung.setImageResource(R.drawable.pin_green);
ImageView iv_art = new ImageView(this);
iv_art.setImageResource(R.drawable.pin_green);
ImageView iv_gunchukgwan = new ImageView(this);
iv_gunchukgwan.setImageResource(R.drawable.pin_green);

ImageView iv_onsil = new ImageView(this);
iv_onsil.setImageResource(R.drawable.pin_green);
ImageView iv_sangmlib  = new ImageView(this);
iv_sangmlib.setImageResource(R.drawable.pin_green);
ImageView iv_ilgamho = new ImageView(this);
iv_ilgamho.setImageResource(R.drawable.pin_green);
ImageView iv_ibhakjungbo = new ImageView(this);
iv_ibhakjungbo.setImageResource(R.drawable.pin_green);

ImageView iv_dongmul = new ImageView(this);
iv_dongmul.setImageResource(R.drawable.pin_green);
ImageView iv_bughak  = new ImageView(this);
iv_bughak.setImageResource(R.drawable.pin_green);
ImageView iv_jungjangbi = new ImageView(this);
iv_jungjangbi.setImageResource(R.drawable.pin_green);
ImageView iv_chungsimde = new ImageView(this);
iv_chungsimde.setImageResource(R.drawable.pin_green);

ImageView iv_hangjunggwan = new ImageView(this);
iv_hangjunggwan.setImageResource(R.drawable.pin_green);
ImageView iv_sangmyunggahakbusok  = new ImageView(this);
iv_sangmyunggahakbusok.setImageResource(R.drawable.pin_green);
ImageView iv_haksanghaegwan = new ImageView(this);
iv_haksanghaegwan.setImageResource(R.drawable.pin_green);

// Marker int
MapView.LayoutParams lp1 = new MapView.LayoutParams(
         LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
         hostpital, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp2 = new MapView.LayoutParams(
         LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
         dojunggung, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp3 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        gongyegwan, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp4 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        gonghakgwan, MapView.LayoutParams.CENTER);

//         
MapView.LayoutParams lp5 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        gahakgwan, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp6 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        gukjehaksa, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp7 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        nochungukjang, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp8 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        daeundongjang, MapView.LayoutParams.CENTER);

//
MapView.LayoutParams lp9 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        dongmun, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp10 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        inmun, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp11 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        kulhouse, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp12 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        museum, MapView.LayoutParams.CENTER);

//
MapView.LayoutParams lp13 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        edugahak, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp14 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        gundebugo, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp15 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        gundebujung, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp16 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        kyungyoung, MapView.LayoutParams.CENTER);

//
MapView.LayoutParams lp17 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        sanhak, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp18 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        shlibrary, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp19 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        shlab, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp20 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        newmil, MapView.LayoutParams.CENTER);

//
MapView.LayoutParams lp21 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        sangm, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp22 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        iluhun, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp23 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        sulib, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp24 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        animal, MapView.LayoutParams.CENTER);

//
MapView.LayoutParams lp25 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        silgym, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp26 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        sangmyung, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp27 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        art, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp28 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        gunchukgwan, MapView.LayoutParams.CENTER);

      
//
MapView.LayoutParams lp29 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        onsil, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp30 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        sangmlib, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp31 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        ilgamho, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp32 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        ibhakjungbo, MapView.LayoutParams.CENTER);

// onsil sangmlib ilgamho ibhakjungbo
//
MapView.LayoutParams lp33 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        dongmul, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp34 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        bughak, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp35 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        jungjangbi, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp36 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        chungsimde, MapView.LayoutParams.CENTER);

// dongmul bughak jungjangbi chungsimde    hangjunggwan sangmyunggahakbusok haksanghaegwan 
MapView.LayoutParams lp37 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        hangjunggwan, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp38 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        sangmyunggahakbusok, MapView.LayoutParams.CENTER);

MapView.LayoutParams lp39 = new MapView.LayoutParams(
        LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
        haksanghaegwan, MapView.LayoutParams.CENTER);
//
// Marker Add
mMap.addView(iv_hostpital, lp1);
mMap.addView(iv_dojunggung, lp2);
mMap.addView(iv_gongyegwan, lp3);
mMap.addView(iv_gonghakgwan, lp4);

mMap.addView(iv_gahakgwan, lp5);
mMap.addView(iv_gukjehaksa, lp6);
mMap.addView(iv_nochungukjang, lp7);
mMap.addView(iv_daeundongjang, lp8);

mMap.addView(iv_dongmun, lp9);
mMap.addView(iv_inmun, lp10);
mMap.addView(iv_kulhouse, lp11);
mMap.addView(iv_musuem, lp12);

mMap.addView(iv_edugahak, lp13);
mMap.addView(iv_gundebugo, lp14);
mMap.addView(iv_gundebujung, lp15);
mMap.addView(iv_kyungyoung, lp16);

mMap.addView(iv_sanhak, lp17);
mMap.addView(iv_shlibrary, lp18);
mMap.addView(iv_shlab, lp19);
mMap.addView(iv_newmil, lp20);

mMap.addView(iv_sangm, lp21);
mMap.addView(iv_iluhun, lp22);
mMap.addView(iv_sulib, lp23);
mMap.addView(iv_animal, lp24);
   
mMap.addView(iv_silgym, lp25);
mMap.addView(iv_sangmyung, lp26);
mMap.addView(iv_art, lp27);
mMap.addView(iv_gunchukgwan, lp28);

mMap.addView(iv_onsil, lp29);
mMap.addView(iv_sangmlib, lp30);
mMap.addView(iv_ilgamho, lp31);
mMap.addView(iv_ibhakjungbo, lp32);


mMap.addView(iv_dongmul, lp33);
mMap.addView(iv_bughak, lp34);
mMap.addView(iv_jungjangbi, lp35);
mMap.addView(iv_chungsimde, lp36);

mMap.addView(iv_hangjunggwan, lp37);
mMap.addView(iv_sangmyunggahakbusok, lp38);
mMap.addView(iv_haksanghaegwan, lp39);
}
//mMap.addView(iv_kyungyoung, lp40);
//dongmul bughak jungjangbi chungsimde    hangjunggwan sangmyunggahakbusok haksanghaegwan 



// 상단에 설명 문자열 배치
TextView title = new TextView(this);
title.setText("건국대학교 서울캠퍼스");
title.setTextSize(20);
title.setTextColor(Color.rgb(0, 108, 68));
MapView.LayoutParams lp3 = new MapView.LayoutParams(
         LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT,
         10,10, MapView.LayoutParams.LEFT | MapView.LayoutParams.TOP);

mMap.addView(title, lp3);

*/