package KU.Campus.Life;

import java.net.URL;
import java.util.ArrayList;

import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserFactory;

import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class info_notice extends ListActivity {
    /** Called when the activity is first created. */
	

	public class Today{
		String title;
        String link;
		String description;
		String pubDate;
		
		public Today(String title,String slink, String description, String pubDate) {
			super();
			this.title = title;
			this.link = slink;
			this.description = description;
			this.pubDate = pubDate;
			
		}
	}
	ArrayList<Today> today = new ArrayList<Today>();
	TextView titleTextView;
	TextView linkTextView;
	TextView descriptionTextView;
	TextView pubDateTextView;
	 String slink="";
	 String link1="";
	 String link2="";
	 String link3="";
	 String link4="";
	 String link5="";
	 String link6="";
	 String link7="";
	 String link8="";
	 String link9="";
	 String link10="";
	 
	 int i=0;
	//private Handler handler;
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        setContentView(R.layout.info_notice);
        try{
        	URL text = new URL( "http://www.konkuk.ac.kr/KU_today.xml" );
        	
        	XmlPullParserFactory parserCreator = XmlPullParserFactory.newInstance();
        	XmlPullParser parser = parserCreator.newPullParser();
        	
        	parser.setInput( text.openStream(), null );
        	
        	
        	
        	
        	int parserEvent = parser.getEventType();
        	String title="";
        	String link="";
			String description="";
			String pubDate="";
            String tag="";  
           
        	//boolean inTitle = false;        	
        	while (parserEvent != XmlPullParser.END_DOCUMENT&&i<10 ){
        		 
        		  switch(parserEvent){
        		
        		  case XmlPullParser.START_DOCUMENT:
  					Log.d("parserTest", "Parser Start..!");
  					break;
  				  case XmlPullParser.START_TAG:
  					tag=parser.getName();
  					if(tag.equals("title")){
  					title=parser.nextText();
  					}
  					if(tag.equals("link")){
  						link=parser.nextText();
  						slink=link.replaceAll(":80","/");
  						slink=slink.replace("http://www.konkuk.ac.kr//Administration/Pub/jsp/Today/today_01.jsp?src=","");
  						//String[] arr=link.split("=");
  						//slink=arr[1];
  						
  						}
  					if(tag.equals("description")){
  						description=parser.nextText();
  	  					}
  					if(tag.equals("pubDate")){
  						pubDate=parser.nextText();
  						
  	  					}
  					 
  					break;
  				case XmlPullParser.TEXT:
  				    
  					break;
  					
  				case XmlPullParser.END_TAG:
  					if(tag.equals("pubDate")){
  						if(i<10)
  						{
  						Today imsi = new Today(title,slink,description,pubDate);
  					    today.add(imsi);	
  					    switch(i){
  					   
  				    case 0:  
    					link1=slink;
    					    break;
  					case 1:  
  					    link2=slink;
  					    break;
  					case 2:  
  					    link3=slink;
  					    break;
  					case 3:  
  					    link4=slink;
  					    break;
  					case 4:  
  					    link5=slink;
  					    break;
  					case 5:  
  					    link6=slink;
  					    break;
  					case 6:  
  					    link7=slink;
  					    break;
  					case 7:  
  					    link8=slink;
  					    break;
  					case 8:  
  					    link9=slink;
  					    break;
  					case 9:  
  					    link10=slink;
  					    break;
  					    }i++; }
  						}	
  				    break;
        		}
        		 
					  
        		parserEvent = parser.next();
        	}
        	
        }catch( Exception e ){
        	Log.e("dd", "Error in network call", e);
        }
        setListAdapter(new CustomRow(this));
        
    }
    class CustomRow extends ArrayAdapter<Today>{
    	Activity context;
		public CustomRow(Activity c) {
			super(c,R.layout.today,today);
			this.context = c;
		}
		@Override
		public View getView(int position, View convertView, ViewGroup parent) {
		
			 LayoutInflater inf=context.getLayoutInflater();
			 View customcell=inf.inflate(R.layout.today, null);
			 titleTextView = (TextView)customcell.findViewById(R.id.text1);
			 pubDateTextView = (TextView)customcell.findViewById(R.id.text2);
			 descriptionTextView = (TextView)customcell.findViewById(R.id.text3);
			// linkTextView = (TextView)customcell.findViewById(R.id.text4);
			
			 titleTextView.setText(today.get(position).title);
			 pubDateTextView.setText(today.get(position).pubDate);
			 descriptionTextView.setText(today.get(position).description);
			// linkTextView.setText(today.get(position).link);
			 
			
			 return customcell; 
		}
    }
    public void onListItemClick(ListView list, View view, int position, long id) 
    {
     	super.onListItemClick(list, view, position, id);
    	if(position == 0) {
    		Intent intent=new Intent(this,info_notice_1.class);
    		intent.putExtra("link1", link1);
			startActivity(intent);
    	}
    	if(position == 1) {
    		Intent intent=new Intent(this,info_notice_2.class);
    		intent.putExtra("link2", link2);
			startActivity(intent);
    	}
    	if(position == 2) {
    		Intent intent=new Intent(this,info_notice_3.class);
    		intent.putExtra("link3", link3);
			startActivity(intent);
    	}
    	
    	if(position == 3) {
    		Intent intent=new Intent(this,info_notice_4.class);
    		intent.putExtra("link4", link4);
			startActivity(intent);
    	}
    	if(position == 4) {
    		Intent intent=new Intent(this,info_notice_5.class);
    		intent.putExtra("link5", link5);
			startActivity(intent);
    	}
    	if(position ==5) {
    		Intent intent=new Intent(this,info_notice_6.class);
    		intent.putExtra("link6", link6);
			startActivity(intent);
    	}
    	if(position == 6) {
    		Intent intent=new Intent(this,info_notice_7.class);
    		intent.putExtra("link7", link7);
			startActivity(intent);
    	}
    	if(position ==7) {
    		Intent intent=new Intent(this,info_notice_8.class);
    		intent.putExtra("link8", link8);
			startActivity(intent);
    	}
    	if(position ==8) {
    		Intent intent=new Intent(this,info_notice_9.class);
    		intent.putExtra("link9", link9);
			startActivity(intent);
    	}
    	if(position ==9) {
    		Intent intent=new Intent(this,info_notice_10.class);
    		intent.putExtra("link10", link10);
			startActivity(intent);
    	}
        
        
        
        
        /*
        private WebView myWebView;
        getWindow().requestFeature(Window.FEATURE_PROGRESS);   
        myWebView = new WebView(this);
        myWebView.getSettings().setJavaScriptEnabled(true);   
       final Activity activity = this;   
       myWebView.setWebChromeClient(new WebChromeClient() {   
        public void onProgressChanged(WebView view, int progress) {   
           activity.setProgress(progress * 100);   
          }    
       });   
       myWebView.setWebViewClient(new WebViewClient() {   
       public void onReceivedError(WebView view, int errorCode, String description, String fallingUrl) {   
          Toast.makeText(activity, "로딩오류"+description, Toast.LENGTH_SHORT).show();   
         }   
        });   

        
       // WebSettings settings = myWebView.getSettings();
       // settings.setJavaScriptEnabled(true);
       // settings.setBuiltInZoomControls(true);
       // settings.setDefaultZoom(WebSettings.ZoomDensity.FAR);
  
       myWebView.getSettings().setBuiltInZoomControls(true);
       myWebView.getSettings().setDefaultZoom(WebSettings.ZoomDensity.FAR);
        myWebView.loadUrl("http://friend.konkuk.ac.kr/do/MessageBoard/ArticleList.do?forum=notice&cat=0000300001");
        setContentView(myWebView);
    */}
}

