package KU.Campus.Life;

import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;

import net.htmlparser.jericho.Source;
import android.app.ListActivity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;


public class lib_check extends ListActivity {
    /** Called when the activity is first created. */
	//ListView list;
	
    String[] libData = null;
    @SuppressWarnings("unchecked")
	ArrayList m_orders = new ArrayList();
    
    @SuppressWarnings("unchecked")
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.lib_check);
        
        
        
        String sourceUrlString = "http://203.252.130.231/domian5.asp";
        String htmlContent =getHtmlToText(sourceUrlString);
        htmlContent.split(" ");
        this.setlibParsing(htmlContent);
         
        //arGeneral.add("제 1A 열람실"+"전체좌석수:"+libData[31]+"/"+libData[33]+"\n"+libData[35]);
        
        
        Library p1 = new Library("제 1A 열람실", libData[31], libData[33], libData[35], libData[37]); // 리스트에 추가할 객체입니다.
        Library p2 = new Library("제 1B 열람실", libData[44], libData[46], libData[48], libData[50]);
        Library p3 = new Library("제 2  열람실", libData[57], libData[59], libData[61], libData[63]);
        Library p4 = new Library("제 3A 열람실", libData[70], libData[72], libData[74], libData[76]);
        Library p5 = new Library("제 3B 열람실", libData[83], libData[85], libData[87], libData[89]);
        Library p6 = new Library("제 4  열람실", libData[96], libData[98], libData[100], libData[102]);
        Library p7 = new Library("제 5  열람실", libData[109], libData[111], libData[113], libData[115]);
        Library p8 = new Library("제 6  열람실", libData[122], libData[124], libData[126], libData[128]);
        Library p9 = new Library("국가고시연구실", libData[134], libData[136], libData[138], libData[140]);
        Library p10 = new Library("6층 노트북열람실", libData[146], libData[148], libData[150], libData[152]);
        Library p11 = new Library("1층 노트북열람실", libData[158], libData[160], libData[162], libData[164]);
        
        //Library p2 = new Library("구글", "02-123-4567"); // 리스트에 추가할 객체입니다.
        //Person p3 = new Person("제 1A 열람실", "전체좌석수", "사용좌석수", "잔여좌석수", "이용률");
        //                        LibrayName    Full       Use          Avail       Percent
        
        m_orders.add(p1); // 리스트에 객체를 추가합니다.
        m_orders.add(p2); // 리스트에 객체를 추가합니다.
        m_orders.add(p3);
        m_orders.add(p4);
        m_orders.add(p5);
        m_orders.add(p6);
        m_orders.add(p7);
        m_orders.add(p8);
        m_orders.add(p9);
        m_orders.add(p10);
        m_orders.add(p11);
        
        PersonAdapter m_adapter = new PersonAdapter(this, R.layout.row, m_orders); // 어댑터를 생성합니다.
        setListAdapter(m_adapter); // 
        
                
    }
    
    @SuppressWarnings("unchecked")
	private class PersonAdapter extends ArrayAdapter {
 
        private ArrayList items;
 
        public PersonAdapter(Context context, int textViewResourceId, ArrayList items) {
                super(context, textViewResourceId, items);
                this.items = items;
        }
        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
                View v = convertView;
                if (v == null) {
                    LayoutInflater vi = (LayoutInflater)getSystemService(Context.LAYOUT_INFLATER_SERVICE);
                    v = vi.inflate(R.layout.row, null);
                }
                Library p = (Library) items.get(position);
                if (p != null) {
                        TextView libraryname = (TextView) v.findViewById(R.id.librarynametext);
                        TextView avail = (TextView) v.findViewById(R.id.availtext);
                        TextView use = (TextView) v.findViewById(R.id.usetext);
                        TextView full = (TextView) v.findViewById(R.id.fulltext);
                        TextView percent = (TextView) v.findViewById(R.id.percenttext);
                        
                        if (libraryname != null){
                        	libraryname.setText(p.getLibaryName());                            
                        }
                        if(avail != null){
                        	avail.setText(""+ p.getAvail()+"석 남음");
                        }
                        
                        if(use != null){
                        	use.setText("/ "+ p.getUse()+"석 사용");
                        }
                        
                        if(full != null){
                        	full.setText("전체: "+ p.getFull());
                        }
                        
                        if(percent != null){
                        	percent.setText(""+ p.getPercent()+"% 이용 중");
                        }
                }
                return v;
        }
}
    class Library 
    {
        private String LibaryName;
        private String Full;
        private String Use;
        private String Avail;
        private String Percent;
        
        public Library(String _LibaryName, String _Full, String _Use, String _Avail, String _Percent)
        {
        	this.LibaryName = _LibaryName;
        	this.Full = _Full;
        	this.Use = _Use;
        	this.Avail = _Avail;
        	this.Percent = _Percent;
        }
        
        public String getLibaryName() {
            return LibaryName;
        }
 
        public String getFull() {
            return Full;
        }
        
        public String getUse() {
            return Use;
        }
        
        public String getAvail() {
            return Avail;
        }
        
        public String getPercent() {
            return Percent;
        }
    } 

    public String getHtmlToText(String sourceUrlString) 
    {
    	Source source = null;
    	String content = null;
    	try {
    		URL url = new URL(sourceUrlString);
    		InputStreamReader isr = new InputStreamReader(url.openStream(), "euc-kr");
    		source = new Source(isr);
       
    		source.fullSequentialParse();
            content = source.getTextExtractor().toString(); 
   
    	} catch (MalformedURLException e) {
    	e.printStackTrace();
    	} catch (IOException e) {
    	e.printStackTrace();
    	}
    	return content;
    }
    
    public boolean setlibParsing(String content) 
    {
    	libData = content.split(" ");
    	return true;
    }
    
    public void onListItemClick(ListView list, View view, int position, long id) 
    {
     	super.onListItemClick(list, view, position, id);
    	if(position == 0) {
    		
    		Intent lib_1=new Intent(this,lib_1.class);
    	    startActivity(lib_1);
    	}
    	if(position == 1) {
    		Intent lib2=new Intent(this,lib_2.class);
    	    startActivity(lib2);
    	}
    	if(position == 2) {
    		Intent lib_3=new Intent(this,lib_3.class);
    	    startActivity(lib_3);
    	}
    	if(position == 3) {
    		Intent lib_4=new Intent(this,lib_4.class);
    	    startActivity(lib_4);
    	}
    	if(position == 4) {
    		Intent lib_5=new Intent(this,lib_5.class);
    	    startActivity(lib_5);
    	}
    	if(position == 5) {
    		Intent lib_6=new Intent(this,lib_6.class);
    	    startActivity(lib_6);
    	}
    	if(position == 6) {
    		Intent lib_7=new Intent(this,lib_7.class);
    	    startActivity(lib_7);
    	}
    	if(position == 7) {
    		Intent lib_8=new Intent(this,lib_8.class);
    	    startActivity(lib_8);
        	
    	}
    	if(position == 8) {
    		Intent lib_9=new Intent(this,lib_9.class);
    	    startActivity(lib_9);
        	
    	}
    	if(position == 9) {
    		Intent lib_10=new Intent(this,lib_10.class);
    	    startActivity(lib_10);
        	
    	}
    	if(position == 10) {
    		Intent lib_11=new Intent(this,lib_11.class);
    	    startActivity(lib_11);
        	
    	}
    	
    	//String mes;
    	//mes = "Select Item = " + m_orders.get(position);
    	//Toast.makeText(lib_check.this, mes, Toast.LENGTH_SHORT).show();
    }
}




