package KU.Campus.Life;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;

public class info_map extends Activity implements OnClickListener {
	View mPage1, mPage2;
		/** Called when the activity is first created. */
	    @Override
	    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.info_map);
  
		mPage1 = findViewById(R.id.map1);
		mPage2 = findViewById(R.id.map2);
		
		final AlertDialog.Builder adb = new AlertDialog.Builder(this);
		final EditText addressfield = (EditText) findViewById(R.id.address);
		final Button button = (Button) findViewById(R.id.launchmap);
		button.setOnClickListener(new Button.OnClickListener() 
		{
			public void onClick(View v) 
			{
		        try {
		            // Perform action on click
		            String address = addressfield.getText().toString();
		            address = address.replace(' ', '+');
		            Intent geoIntent = new Intent(android.content.Intent.ACTION_VIEW, Uri.parse("geo:0,0?q=" + address));
		            startActivity(geoIntent);
		            
		        } 
		        catch (Exception e) {

		            AlertDialog ad = adb.create();
		            ad.setMessage("잘못입력하였습니다.");
		            ad.show();

		        }
		    }
		});
		ImageView pin1=(ImageView)findViewById(R.id.pin1);
	    pin1.setOnClickListener(this);
	    ImageView pin2=(ImageView)findViewById(R.id.pin2);
	    pin2.setOnClickListener(this);
	    ImageView pin3=(ImageView)findViewById(R.id.pin3);
	    pin3.setOnClickListener(this);
	    ImageView pin4=(ImageView)findViewById(R.id.pin4);
	    pin4.setOnClickListener(this);
	    ImageView pin5=(ImageView)findViewById(R.id.pin5);
	    pin5.setOnClickListener(this);
	    ImageView pin6=(ImageView)findViewById(R.id.pin6);
	    pin6.setOnClickListener(this);
	    ImageView pin7=(ImageView)findViewById(R.id.pin7);
	    pin7.setOnClickListener(this);
		((Button)findViewById(R.id.btn1)).setOnClickListener(mClickListener);
		((Button)findViewById(R.id.btn2)).setOnClickListener(mClickListener);
		
		
	}
	public void onClick(View v){
		switch(v.getId()){
		
		case R.id.pin1:
		new AlertDialog.Builder(info_map.this)
		.setTitle("건대병원/의학연구동")
		.setPositiveButton("닫기", new DialogInterface.OnClickListener() {
			
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				
			}
		}).show();
		    break;
		case R.id.pin2:
			new AlertDialog.Builder(info_map.this)
			.setTitle("학군단 /예문대/상허기념도서관/언어교육원")
			.setPositiveButton("닫기", new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					
				}
			}).show();
			    break;
		case R.id.pin3:
			new AlertDialog.Builder(info_map.this)
			.setTitle("산업협동관/입학정보관/생명과학관")
			.setPositiveButton("닫기", new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					
				}
			}).show();
			    break;
		case R.id.pin4:
			new AlertDialog.Builder(info_map.this)
			.setTitle("사범대학/상허연구관/행정관/사회과학관")
			.setPositiveButton("닫기", new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					
				}
			}).show();
			    break;
		case R.id.pin5:
			new AlertDialog.Builder(info_map.this)
			.setTitle("새천년관/건축대학")
			.setPositiveButton("닫기", new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					
				}
			}).show();
			    break;
		case R.id.pin6:
			new AlertDialog.Builder(info_map.this)
			.setTitle("학생회관/공과대학/과학관")
			.setPositiveButton("닫기", new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					
				}
			}).show();
			    break;
		case R.id.pin7:
			new AlertDialog.Builder(info_map.this)
			.setTitle("국제학사/기숙사")
			.setPositiveButton("닫기", new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					
				}
			}).show();
			    break;
		}
		}
	
	Button.OnClickListener mClickListener = new Button.OnClickListener() {
		public void onClick(View v) {
			switch (v.getId()) {
			case R.id.btn1:
				ChangePage(1);
				break;
			case R.id.btn2:
				ChangePage(2);
				break;
			
			
			}
		}
	};
	

	void ChangePage(int page) {
		mPage1.setVisibility(View.INVISIBLE);
		mPage2.setVisibility(View.INVISIBLE);
		
		

		switch (page) {
		case 1:
			mPage1.setVisibility(View.VISIBLE);
			break;
		case 2:
			mPage2.setVisibility(View.VISIBLE);
			break;
		
		
		}
	
	}

}


